Bug 853703 - 3.1 - [vdsm] python Attribute Error for DomainMonitorThread during domain state change
3.1 - [vdsm] python Attribute Error for DomainMonitorThread during domain sta...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Federico Simoncelli
Haim
storage
: Regression, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 05:12 EDT by Gadi Ickowicz
Modified: 2014-08-21 21:41 EDT (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-39.0
Doc Type: Bug Fix
Doc Text:
The DomainMonitorThread attribute produces an attribute error when a connection to the NFS ISO domain is blocked. The onDomainConnectivityStateChange event was erroneously being reported as an attribute of DomainMonitorThread which triggers the attribute error when onDomainConnectivityStateChange is being called. onDomainConnectivityStateChange is now properly called as an event and not an attribute.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:08:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VDSM + engine logs (1.75 MB, application/x-bzip)
2012-09-02 05:12 EDT, Gadi Ickowicz
no flags Details

  None (edit)
Description Gadi Ickowicz 2012-09-02 05:12:37 EDT
Created attachment 609037 [details]
VDSM + engine logs

Description of problem:
When a domain's status is changing to invalid, the following error is visible in the logs:

Thread-151::WARNING::2012-08-30 13:28:07,651::domainMonitor::207::Storage.DomainMonitorThread::(_monitorDomain) Could not emit domain state change event
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/domainMonitor.py", line 203, in _monitorDomain
    self.onDomainConnectivityStateChange.emit(
AttributeError: 'DomainMonitorThread' object has no attribute 'onDomainConnectivityStateChange'


Version-Release number of selected component (if applicable):
4.9-31.0

How reproducible:
?

Steps to Reproduce:
1. Block connection to NFS ISO domain (with 1 host, 1 storage domain)
2. Error appears in VDSM logs

  
VSDM logs attached
Comment 5 Federico Simoncelli 2012-09-06 08:59:00 EDT
Fix onDomainConnectivityStateChange in DomainMonitorThread

The onDomainConnectivityStateChange event is not a DomainMonitorThread
attribute.

Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=853703
Signed-off-by: Federico Simoncelli <fsimonce@redhat.com>
Change-Id: If3b7e7c788b54726a3c820f4f2180884c74d93ef

http://gerrit.ovirt.org/#/c/7772/
Comment 8 Haim 2012-10-24 13:06:43 EDT
verified on vdsm 4.9.6-39. 
after blocking ISO domain, I no longer gets the error but the following print:


Thread-720::DEBUG::2012-10-24 21:57:02,862::domainMonitor::216::Storage.DomainMonitorThread::(_monitorDomain) Domain 3580fd98-876a-4de0-8fe5-c4aadf5180d4 changed its status to Invalid
Thread-776::DEBUG::2012-10-24 21:57:02,863::misc::1165::Event.Storage.DomainMonitor.onDomainConnectivityStateChange::(_emit) Emitting event
Thread-776::DEBUG::2012-10-24 21:57:02,864::misc::1176::Event.Storage.DomainMonitor.onDomainConnectivityStateChange::(_emit) Calling registered method `<functools.partial object at 0x7fdb78067f18>`
Thread-776::DEBUG::2012-10-24 21:57:02,865::misc::1186::Event.Storage.DomainMonitor.onDomainConnectivityStateChange::(_emit) Event emitted
Comment 11 errata-xmlrpc 2012-12-04 14:08:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.